### Hierarchy

- ITableEngineEvents

## Index

### Methods

- onLevelComplete
- onMessage
- onSound
- onWin

## Methods

### onLevelComplete

- onLevelComplete(newLevel: number): void | Promise<any>

- - Defined in index-browser.ts:36

  #### Parameters

  - ##### newLevel: number

  #### Returns void | Promise<any>

### onMessage

- onMessage(message: string): void | Promise<any>

- - Defined in index-browser.ts:37

  #### Parameters

  - ##### message: string

  #### Returns void | Promise<any>

### onSound

- onSound(sound: GameSound): void | Promise<any>

- - Defined in index-browser.ts:35

  #### Parameters

  - ##### sound: GameSound

  #### Returns void | Promise<any>

### onWin

- onWin(): void | Promise<any>

- - Defined in index-browser.ts:38

  #### Returns void | Promise<any>

Generated using TypeDoc